cURL
curl --request GET \
--url https://api.minimax.io/v1/query/video_template_generation \
--header 'Authorization: Bearer <token>'{
"task_id": "401047179385389059",
"status": "Success",
"video_url": "https://cdn.hailuoai.com/prod/video_20250714_141232_cdc5ba74.mp4",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Video Agent
Query Video Template Generation Task
deprecated
Use this API to query the task status of generated videos.
GET
/
v1
/
query
/
video_template_generation
cURL
curl --request GET \
--url https://api.minimax.io/v1/query/video_template_generation \
--header 'Authorization: Bearer <token>'{
"task_id": "401047179385389059",
"status": "Success",
"video_url": "https://cdn.hailuoai.com/prod/video_20250714_141232_cdc5ba74.mp4",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, can be found in Account Management>API Keys.
Query Parameters
The ID of the task to query. You can only query tasks created under the current account.
Response
200 - application/json
The ID of the queried task.
The status of the task. Possible values:
Preparing– PreparingProcessing– In progressSuccess– Completed successfullyFail– Failed
Available options:
Preparing, Processing, Success, Fail Returned when the task is successful. The download URL of the generated video.
⚠️ Note: The download link is valid for 9 hours.
Contains the status code and details.
Show child attributes
Show child attributes
⌘I